taccuino.vo

## Class DocumentoRequestDTO

- java.lang.Object
- - taccuino.vo.DocumentoRequestDTO

- Direct Known Subclasses:
    DocumentoResponseDTO

      public class DocumentoRequestDTO
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocumentoRequestDTO()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getContenutoDocumento()`
    `java.time.LocalDate` | `getDataEmissione()`
    `java.lang.String` | `getNomeDocumento()`
    `java.lang.String` | `getNoteDocumento()`
    `java.lang.String` | `getProvenienzaDocumento()`
    `java.lang.String` | `getTestoLibero()`
    `java.lang.String` | `getTipoDocumento()`
    `void` | `setContenutoDocumento(byte[] contenutoDocumento)`
    `void` | `setDataEmissione(java.time.LocalDate dataEmissione)`
    `void` | `setNomeDocumento(java.lang.String nomeDocumento)`
    `void` | `setNoteDocumento(java.lang.String noteDocumento)`
    `void` | `setProvenienzaDocumento(java.lang.String provenienzaDocumento)`
    `void` | `setTestoLibero(java.lang.String testoLibero)`
    `void` | `setTipoDocumento(java.lang.String tipoDocumento)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DocumentoRequestDTO

          public DocumentoRequestDTO()

  - ### Method Detail

    - #### getNomeDocumento

          public java.lang.String getNomeDocumento()

    - #### setNomeDocumento

          public void setNomeDocumento(java.lang.String nomeDocumento)

    - #### getTipoDocumento

          public java.lang.String getTipoDocumento()

    - #### setTipoDocumento

          public void setTipoDocumento(java.lang.String tipoDocumento)

    - #### getTestoLibero

          public java.lang.String getTestoLibero()

    - #### setTestoLibero

          public void setTestoLibero(java.lang.String testoLibero)

    - #### getProvenienzaDocumento

          public java.lang.String getProvenienzaDocumento()

    - #### setProvenienzaDocumento

          public void setProvenienzaDocumento(java.lang.String provenienzaDocumento)

    - #### getNoteDocumento

          public java.lang.String getNoteDocumento()

    - #### setNoteDocumento

          public void setNoteDocumento(java.lang.String noteDocumento)

    - #### getContenutoDocumento

          public byte[] getContenutoDocumento()

    - #### setContenutoDocumento

          public void setContenutoDocumento(byte[] contenutoDocumento)

    - #### getDataEmissione

          public java.time.LocalDate getDataEmissione()

    - #### setDataEmissione

          public void setDataEmissione(java.time.LocalDate dataEmissione)